<cfset userList = request.sess.createQuery("from User order by lastName, firstName, username").list() />

<cfparam name="url.highlight" default="" />

<cfoutput>
<link href="../../style.css" rel="stylesheet" type="text/css" />
<table class="datatable">
<tr>
	<th>Name</th>
	<th>Username</th>
	<th>Email</th>
	<th>Create Date</th>
	<th>Last Mod Date</th>
	<th colspan="2">&nbsp;</th>
</tr>
<cfloop from="1" to="#arrayLen(userList)#" index="i">
	<cfset user = userList[i] />
	<tr class="alt#i MOD 2#<cfif user.id EQ url.highlight> highlight</cfif>">
		<td>#user.getLastName()#, #user.getFirstName()#</td>
		<td>#user.getUsername()#</td>
		<td>#user.getEmail()#</td>
		<td>#dateFormat(user.getCreateDate(), "mmm d, 'yy")# #timeFormat(user.getCreateDate(), "HH:mm:ss")#</td>
		<td>#dateFormat(user.getModifyDate(), "mmm d, 'yy")# #timeFormat(user.getModifyDate(), "HH:mm:ss")#</td>
		<td><a href="edit.cfm?id=#user.getId()#">edit</a></td>
		<td><a href="delete.cfm?id=#user.getId()#">delete</a></td>
	</tr>
</cfloop>
<cfif arrayLen(userList) EQ 0>
	<tr class="norecordsfound"><td colspan="7">No Records Found</td></tr>
</cfif>
<tr><td colspan="7"><a href="add.cfm">Add New User</a></td></tr>
</table>
</cfoutput>
