<cfcomponent output="false">

	<!---
	Objects produced by this CFC must have a zero-argument constructor,
	which will be the only one called.
	--->

	<cfimport prefix="g" taglib="tags" />
	
	<cffunction name="init" access="public" output="false" returntype="GroovyFactoryBean">
		<cfargument name="cfgroovy" type="any" required="true" />
		<cfset variables.cfgroovy = cfgroovy />
		<cfreturn this />
	</cffunction>
	
	
	
	<cffunction name="getObject" access="public" output="false" returntype="any">
		<cfargument name="clazz" type="string" required="true" />
		<cfset var l = {} />
		<g:script runtime="#cfgroovy#" variables="#l#">
		<cfoutput>
			variables.object = new #arguments.clazz#() // don't do this.  ;)
		</cfoutput>
		</g:script>
		<cfreturn l.object />
	</cffunction>

<cfoutput></cfoutput>
</cfcomponent>