<cfimport prefix="g" taglib="../../groovyEngine/tags" />

<cfset variables.myArray = listToArray("barney,heather,lindsay") />

<cfoutput>
<h1>Inline Groovy</h1>

<p>This demo creates an array of names, dumps it, uses some inline
Groovy (via <code>&lt;g:script&gt;</code>) to add a new item, and
then dumps it again. 
</p>

<p>Using the <code>&lt;g:script&gt;</code> tag in this way is very
simple, but it creates a new Groovy runtime every request (not
every script), which has performance ramifications.
</p>

<h1>No Emery</h1>
<cfdump var="#variables.myArray#" />

<g:script>
// better add emery
variables.myArray.add("emery")
</g:script>

<h1>There He Is!</h1>
<cfdump var="#variables.myArray#" />
</cfoutput>
