<cfcomponent output="false" abstract="true">

	<cffunction name="init" access="public" output="false" returntype="SimplePlugin">
		<cfreturn this />
	</cffunction>
	
	
	
	<cffunction name="setCFGroovy" access="public" output="false" returntype="void">
		<cfargument name="cfGroovy" type="cfgroovy" required="true" />
		<cfset variables.cfGroovy = cfGroovy />
	</cffunction>
	
	
	
	<cffunction name="isReloadRequired" access="public" output="false" returntype="boolean"
		hint="I return whether this plugin would benefit from an automatic reload.">
		<cfreturn false />
	</cffunction>
	
	
	
	<cffunction name="close" access="public" output="false" returntype="void"
		hint="Called by CFGroovy.close to perform any plugin-specific cleanup.">
	</cffunction>
	
	
	
	<cffunction name="updateBinding" access="public" output="false" returntype="any"
		hint="Invoked by CFGroovy.getBinding to add any needed bindings to the supplied Binding.  It may also replace the supplied Binding with a new one, but this is almost never what you want.">
		<cfargument name="binding" type="any" required="true" />
		<cfreturn binding />
	</cffunction>
	
	
	
	<cffunction name="updateRuntimePath" access="public" output="false" returntype="string"
		hint="Invoked by CFGroovy.configure to update the runtime path as needed.  The runtime path is for pre-compiled assets.">
		<cfargument name="path" type="string" required="true" />
		<cfreturn path />
	</cffunction>


	
	<cffunction name="updateSourcePath" access="public" output="false" returntype="string"
		hint="Invoked by CFGroovy.configure to update the source path as needed.  The source path is for uncompiled Groovy assets.">
		<cfargument name="path" type="string" required="true" />
		<cfreturn path />
	</cffunction>



	<cffunction name="configure" access="public" output="false" returntype="void"
		hint="I am called by cfgroovy.configure, after the engine is fully configured and ready to run scripts.">
	</cffunction>

<cfoutput></cfoutput>
</cfcomponent>
