<cfif structKeyExists(attributes, "runtime")>
	<cfset runtime = attributes.runtime />
<cfelseif structKeyExists(request, "__cf_groovy_runtime__")>
	<cfset runtime = request.__cf_groovy_runtime__ />
<cfelseif isDefined("application") AND structKeyExists(application, "cfgroovy")>
	<cfset runtime = application.cfgroovy />
<cfelse>
	<cfthrow type="CFGroovy.NoRuntimeFoundException"
		message="The g:script tag could not locate the CF Groovy runtime."
		detail="The g:script tag requires a CF Groovy runtime to execute, but couldn't fine one.  See the docs on how to specify the runtime to use." />
</cfif>
