<cfoutput>
<h1>CF Groovy Installation</h1>

<cfif NOT supportedPlatform>
	<h2 style="color:red">Unsupported Platform!!</h2>
	
	<p>Hibernate only works on Railo 3 and ColdFusion 8.0.1.  Both
		ColdFusion 8.0 and Open BlueDragon's initial release have classloader
		issues that prevent it from working.
	</p>
<cfelse>
	<p>Installing CF Groovy is a simple two step process:
	</p>
	
	<ol>
		<li>Drop <code>groovy-all-x.y.z.jar</code> from the <code>groovyEngine</code> directory into your <code>/WEB-INF/lib</code> folder.
		</li>
		<li>Restart your web container (Tomcat, Jetty, JRun, ColdFusion, etc.).
		</li>
	</ol>
	
	<p>After you've done that, start clicking the demos in the left pane.
	</p>
	
	<p>To run the Hibernate demos, you need to create a DSN in the server
		admin named "cfgroovydemo".  It should point to an empty database,
		and the user should have sufficient privileges to create and alter
		tables, columns, indexes, and keys.  The database must be
		<a href="http://www.hibernate.org/hib_docs/v3/reference/en/html/session-configuration.html##configuration-optional-dialects">
		one of those that Hibernate supports</a>, which is basically everything.
	</p>
</cfif>

<hr />

<p>The latest code can always be obtained from Subversion:
</p>
<ul>
	<li>Core Runtime Engine: <a href="https://ssl.barneyb.com/svn/barneyb/cfgroovy/trunk/engine">https://ssl.barneyb.com/svn/barneyb/cfgroovy/trunk/engine</a>
	</li>
	<li>Demo App (includes engine): <a href="https://ssl.barneyb.com/svn/barneyb/cfgroovy/trunk/demo">https://ssl.barneyb.com/svn/barneyb/cfgroovy/trunk/demo</a>
	</li>
</ul>
<p>Also check the project homepage at <a href="http://www.barneyb.com/barneyblog/projects/cf-groovy/">http://www.barneyb.com/barneyblog/projects/cf-groovy/</a> for updates and information.
</p>
</cfoutput>